Bug 856286 - Race condition where password is displayed as plain text
Race condition where password is displayed as plain text
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-11 12:06 EDT by Luke Macken
Modified: 2016-09-19 22:43 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-26 20:41:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 683886 None None None 2012-09-12 15:13:21 EDT

  None (edit)
Description Luke Macken 2012-09-11 12:06:06 EDT
Description of problem:

When I hit Esc to trigger the screensaver password prompt and start typing my password, if the window sliding animation has not finished, my password is displayed in plain text. There is then a slight lag after the animation, and then the password input field is reset and the characters become hidden. 

Version-Release number of selected component (if applicable):
gnome-screensaver-3.5.5-1.fc18.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Hit Esc on a locked screen to open the password input field
2. Start typing right away, before the animation has completed
3. Watch as your password is displayed in the clear, and then reset after the sliding effect is finished
Comment 1 Matthias Clasen 2012-09-26 20:41:54 EDT
The screen locking is now implemented in gnome-shell. Moving this bug there. However, it has been fixed in 3.6.0, which is already in updates-testing, so closing it at the same time.

Note You need to log in before you can comment on or make changes to this bug.